/**
 * @class MCTesterEvent
 * @brief Allows to pass the event record data in F77 format
 *
 * This class allows to pass the event record data to
 * MC-Tester in form of F77 Common Block /MCTEVT/
 *
 * The syntax of this common block is identical to HEPEVT
 * The size of this event record is 2000
 *
 * Kept for backward compatibility
 */
#ifndef __MCTESTEREVENT_H_
#define __MCTESTEREVENT_H_

#include "HEPEVTEvent.H"

extern "C" HepevtCommon mctevt_;

class MCTesterEvent : public HEPEVTEvent
 {

    public:
	MCTesterEvent();
};


extern "C" MCTesterEvent MCTEVT;

#endif
